Index: library/bdm/estim/particles.h
===================================================================
--- library/bdm/estim/particles.h (revision 487)
+++ library/bdm/estim/particles.h (revision 488)
@@ -67,5 +67,5 @@
 		resmethod = rm;
 	};
-	void set_statistics ( const vec w0, epdf *epdf0 ) {
+	void set_statistics ( const vec w0, const epdf &epdf0 ) {
 		est.set_statistics ( w0, epdf0 );
 	};
@@ -201,5 +201,5 @@
 		BMs.set_length ( n0 );
 	}
-	void set_statistics ( epdf *epdf0, const BM_T* BMcond0 ) {
+	void set_statistics ( const epdf &epdf0, const BM_T* BMcond0 ) {
 
 		PF::set_statistics ( ones ( n ) / n, epdf0 );
